# Uses of Class
org.springframework.orm.jpa.persistenceunit.MutablePersistenceUnitInfo

Packages that use MutablePersistenceUnitInfo
Package
Description
org.springframework.orm.jpa.persistenceunit
Internal support for managing JPA persistence units.

## Uses of MutablePersistenceUnitInfo in org.springframework.orm.jpa.persistenceunit

Methods in org.springframework.orm.jpa.persistenceunit that return MutablePersistenceUnitInfo
Modifier and Type
Method
Description
`protected final MutablePersistenceUnitInfo`
DefaultPersistenceUnitManager.`getPersistenceUnitInfo(String persistenceUnitName)`
Return the specified `MutablePersistenceUnitInfo` from this manager's cache of processed persistence units, keeping it in the cache (i.e.
Methods in org.springframework.orm.jpa.persistenceunit with parameters of type MutablePersistenceUnitInfo
Modifier and Type
Method
Description
`protected void`
DefaultPersistenceUnitManager.`postProcessPersistenceUnitInfo(MutablePersistenceUnitInfo pui)`
Hook method allowing subclasses to customize each `MutablePersistenceUnitInfo`.
`void`
PersistenceUnitPostProcessor.`postProcessPersistenceUnitInfo(MutablePersistenceUnitInfo pui)`
Post-process the given PersistenceUnitInfo, for example registering further entity classes and jar files.